/***************************************************************************                        
 *   Copyright (C) 2008 by Jaroslav Reznik <jreznik@redhat.com>            *                        
 *                                                                         *                        
 *   This program is free software; you can redistribute it and/or modify  *                        
 *   it under the terms of the GNU General Public License as published by  *                        
 *   the Free Software Foundation; either version 2 of the License, or     *                        
 *   (at your option) any later version.                                   *                        
 *                                                                         *                        
 *   This program is distributed in the hope that it will be useful,       *                        
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *                        
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *                        
 *   GNU General Public License for more details.                          *                        
 *                                                                         *                        
 *   You should have received a copy of the GNU General Public License     *                        
 *   along with this program; if not, write to the                         *                        
 *   Free Software Foundation, Inc.,                                       *                        
 *   51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA            *                        
 ***************************************************************************/ 

// phonon include
#include <Phonon/MediaSource>

#include <QtGui>

#include <kcomponentdata.h>
#include <kdebug.h>

#include "mediaplayer.h"

int main( int argc, char *argv[] )
{
	KComponentData data( "example-2-video-player" );

        QApplication app( argc, argv );
	app.setApplicationName( "Simple video player" );

	QString fileName = QFileDialog::getOpenFileName( 0, "Open Video File", "", "Video Files (*.avi *.mpg )" );

	if ( fileName.isEmpty() )
		return 1;

	MediaPlayer mediaPlayer;
	mediaPlayer.setCurrentSource( Phonon::MediaSource( fileName ) );
	mediaPlayer.show();                                                    

	return app.exec();
}
